Name:       perl-MooseX-StrictConstructor 
Version:        0.11
Release:        1%{?dist}
# see lib/MooseX/StrictConstructor.pm
License:    Artistic 2.0
Group:      Development/Libraries
Summary:    Make your object constructors blow up on unknown attributes 
Source:     http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/MooseX-StrictConstructor-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/MooseX-StrictConstructor
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(Moose) >= 0.94
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.88


%description
Simply loading this module makes your constructors "strict". If your
constructor is called with an attribute init argument that your class does
not declare, then it calls "Carp::confess()". This is a great way to catch
small typos.

%prep
%setup -q -n MooseX-StrictConstructor-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Oct 08 2010 Iain Arnell <iarnell@epo.org> 0.11-1
- update to latest upstream
- license change from "GPL+ or Artistic" to "Artistic 2.0"
- clean up spec for modern rpmbuild

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.08-4
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.08-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.08-1
- update to 0.08

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 10 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.07-3
- rebuild under new Moose level

* Wed Oct 29 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.07-2
- bump

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.07-1
- clean up for submission

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.07-0.1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.5)

